class Creature:
    """The creature class, used for adventurer and monsters. The name
    of the creature is what will be used to represent the character on
    the screen. position is a Location on screen."""
    
    def __init__(self, symbol, name, position, alive = True, \
                 attack = 0, defense = 0, hitpoints = 10):
        self.symbol = symbol
        self.name = name
        self.position = position
        self.alive = alive
        self.attack = attack
        self.defense = defense
        self.hitpoints = hitpoints
    def getSymbol(self):
        return self.symbol
    def getName(self):
        return self.name
    def getPosition(self):
        return self.position
    def isAlive(self):
        return self.alive == True
    def setPosition(self, newPosition):
        self.position = newPosition
    def getAttack(self):
        return self.attack
    def setAttack(self, newAttackValue):
        self.attack = newAttackValue
    def getDefense(self):
        return self.defense
    def setDefense(self, newDefenseValue):
        self.defense = newDefenseValue
    def getHitPoints(self):
        return self.hitpoints
    def setHitPoints(self, newHitPoints):
        self.hitpoints = newHitPoints
        if self.hitpoints <= 0:
            self.alive = False
            
