class Room:
    """The room class, with lowerLeft as 0,0. Note that upperLeft
    and lowerRight are of the class location."""
    def __init__(self, upperLeft, lowerRight, roomID = ''):
        self.roomID = roomID
        self.upperLeft = upperLeft
        self.lowerRight = lowerRight
    def getUpperLeft(self):
        return self.upperLeft
    def getLowerRight(self):
        return self.lowerRight
    def getWidth(self):
        return self.lowerRight.getX() - self.upperLeft.getX() + 1
    def getHeight(self):
        return self.upperLeft.getY() - self.lowerRight.getY() + 1
